package com.huimv.face.controller;


import com.alibaba.fastjson.JSONObject;
import com.huimv.face.entity.Personnels;
import com.huimv.face.repo.GroupsRepository;
import com.huimv.face.repo.PersonnelsRepository;
import com.huimv.face.util.HttpClient;
import com.huimv.face.util.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;


@RestController
@RequestMapping("/api")
@CrossOrigin
public class PeopleManagementController {
    @Autowired
    private GroupsRepository groupsRepository;



    /**
     * @param request
     * @param name    参数格式: form data
     * @return 添加人员的接口
     * @throws Exception
     */
    @RequestMapping("/updatepersion")
    public Result addgroupspeople11(HttpServletRequest request,
                                   @RequestParam(name = "group_id") String group_id,
                                   @RequestParam(name = "name") String name,
                                   @RequestParam(name = "photo") MultipartFile photo,
                                   @RequestParam(name = "idcard") String  idcard,
                                    @RequestParam(name = "id") Integer id
    ) throws Exception {

        String URL03 = "http://36.26.62.70:10081/api/fr/personnels/"+id;
        HttpClient httpClient = new HttpClient(URL03);
        httpClient.setHttps(false);

        String content = httpClient.doDelete(URL03);
        JSONObject jsonObject = JSONObject.parseObject(content);
        System.out.println("删除成功了"+jsonObject);
        System.out.println(name);

        String URL = "http://36.26.62.70:10081/api/fr/personnels";
        System.out.println(URL);
        //发送请求
        HttpClient httpClient1 = new HttpClient(URL);
        httpClient1.setHttps(false);
        Map<String ,String> parammap = new HashMap();
        Map<String ,String> header = new HashMap();
        parammap.put("idcard", idcard);
        parammap.put("group_id", group_id);
        parammap.put("name", name);
        //放在header不行的
        String content1 = httpClient.httpClientUploadFilePost(URL, photo, header,parammap);
        JSONObject jsonObject1 = JSONObject.parseObject(content1);
        System.out.println("添加底库");
        return new Result(10000, "添加成功", jsonObject1);
    }








    /**
     * @param request
     * @param name    参数格式: form data
     * @return 添加人员的接口     修改有问题，金铭系统有bug 只能删除再添加，在这个接口一并处理掉
     * @throws Exception
     */
    @RequestMapping("/addpersion")
    public Result addgroupspeople1(HttpServletRequest request,
                                   @RequestParam(name = "group_id") String group_id,
                                   @RequestParam(name = "name") String name,
                                   @RequestParam(name = "photo") MultipartFile photo,
                                   @RequestParam(name = "idcard") String  idcard,
                                  @RequestParam(name = "id",required = false) Integer id
    ) throws Exception {
        System.out.println(id);

if(id!=null){

    //执行删除
    String URL03 = "http://36.26.62.70:10081/api/fr/personnels/"+id;
    HttpClient httpClient = new HttpClient(URL03);
    httpClient.setHttps(false);
    String content = httpClient.doDelete(URL03);
    JSONObject jsonObject = JSONObject.parseObject(content);
    System.out.println("删除成功了"+jsonObject);
    System.out.println(name);
}
        String URL = "http://36.26.62.70:10081/api/fr/personnels";
        System.out.println(URL);
        //发送请求
        HttpClient httpClient = new HttpClient(URL);
        httpClient.setHttps(false);
        Map<String ,String> parammap = new HashMap();
        Map<String ,String> header = new HashMap();
        parammap.put("idcard", idcard);
        parammap.put("group_id", group_id);
        parammap.put("name", name);
        //放在header不行的
        String content = httpClient.httpClientUploadFilePost(URL, photo, header,parammap);
        JSONObject jsonObject = JSONObject.parseObject(content);
        System.out.println("添加底库");
        return new Result(10000, "添加成功", jsonObject);
    }





    /**
     * @param request
     * @return 添加底库
     * @throws Exception
     */
    @RequestMapping("/fr/groups")
    public Result addgroupspeople(HttpServletRequest request,
                                  @RequestParam(name = "name") String name
    ) throws Exception {
        System.out.println(name);
        String URL = "http://36.26.62.70:10081/api/fr/groups";
        System.out.println(URL);
        //发送请求
        HttpClient httpClient = new HttpClient(URL);
        httpClient.setHttps(false);
        httpClient.addParameter("name", name);
        httpClient.post();
        String content = httpClient.getContent();
        JSONObject jsonObject = JSONObject.parseObject(content);
        System.out.println("添加底库");
        return new Result(10000, "添加成功", jsonObject);
        /* public HttpClient(String url, Map<String, String> param) {
            this.url = url;
            this.param = param;
        }*/

    }






    /**
     * @param request
     * @return 删除人员
     * @throws Exception
     */
    @RequestMapping("/deleteperson")
    public Result deletgroupspeople(HttpServletRequest request,
                                    @RequestParam(name = "id") int id
    ) throws Exception {

        String URL03 = "http://36.26.62.70:10081/api/fr/personnels/"+id;
        HttpClient httpClient = new HttpClient(URL03);
        httpClient.setHttps(false);

        String content = httpClient.doDelete(URL03);
        JSONObject jsonObject = JSONObject.parseObject(content);
        System.out.println("/flow/statistic**请求成功");



        System.out.println("删除人员");
        return new Result(10000, "删除人员成功",jsonObject);
    }



    /**
     * @param request
     * @return 列出底库所有人员
     * @throws Exception
     */
    @RequestMapping("/fr/personnels")
    public Result listgroupspeople(HttpServletRequest request,
                                   @RequestParam(name = "group_id", required = false) String group_id,
                                   @RequestParam(name = "start_page", required = false) String start_page,
                                   @RequestParam(name = "page_count", required = false) String page_count
    ) throws Exception {
        System.out.println(group_id);
        String URL = "http://36.26.62.70:10081/api/fr/personnels?start_page=" + start_page + "page_count=" + page_count + "group_id=" + group_id;
        System.out.println(URL);
        //发送请求
        HttpClient httpClient = new HttpClient(URL);
        httpClient.setHttps(false);
        httpClient.get();
        String content = httpClient.getContent();
        JSONObject jsonObject = JSONObject.parseObject(content);
        System.out.println("列出底库所有人");
        return new Result(10000, "列出底库成功", jsonObject);
    }


    /**
     * @param request
     * @return 列出所有底库   需要分页功能
     * @throws Exception
     */
    @RequestMapping("/groups")
    public Result getdate11(HttpServletRequest request,
                            @RequestParam(name = "start_page") int start_page,
                            @RequestParam(name = "page_count") int page_count
    ) throws Exception {

        System.out.println(start_page);
        System.out.println(page_count);
        String URL = "http://36.26.62.70:10081/api/fr/groups?start_page=" + start_page + "page_count=" + page_count;
        System.out.println(URL);
        //发送请求
        HttpClient httpClient = new HttpClient(URL);
        httpClient.setHttps(false);
        httpClient.get();
        String content = httpClient.getContent();
        JSONObject jsonObject = JSONObject.parseObject(content);
        System.out.println("查询底库");
        return new Result(10000, "查询底库成功", jsonObject);
    }
}
