package com.huimv.face.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@Entity
@Table(name = "stranger_models")
public class StrangerModels implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id", nullable = false)
    private String id;

    @Column(name = "task_id")
    private Integer taskId;

    @Column(name = "create_time", nullable = false)
    private Long createTime;

    @Column(name = "update_time", nullable = false)
    private Long updateTime;

    @Column(name = "last_face")
    private String lastFace;

    @Column(name = "last_bg")
    private String lastBg;

    @Column(name = "last_julong_event_id")
    private String lastJulongEventId;

    @Column(name = "face_count")
    private Long faceCount;

    @Column(name = "avg_age")
    private Double avgAge;

    @Column(name = "avg_gender")
    private Double avgGender;

    @Column(name = "feature_count")
    private Integer featureCount;

    @Column(name = "versideon")
    private Integer versideon;

    @Column(name = "image_id")
    private String imageId;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getTaskId() {
        return taskId;
    }

    public void setTaskId(Integer taskId) {
        this.taskId = taskId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getLastFace() {
        return lastFace;
    }

    public void setLastFace(String lastFace) {
        this.lastFace = lastFace;
    }

    public String getLastBg() {
        return lastBg;
    }

    public void setLastBg(String lastBg) {
        this.lastBg = lastBg;
    }

    public String getLastJulongEventId() {
        return lastJulongEventId;
    }

    public void setLastJulongEventId(String lastJulongEventId) {
        this.lastJulongEventId = lastJulongEventId;
    }

    public Long getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Long faceCount) {
        this.faceCount = faceCount;
    }

    public Double getAvgAge() {
        return avgAge;
    }

    public void setAvgAge(Double avgAge) {
        this.avgAge = avgAge;
    }

    public Double getAvgGender() {
        return avgGender;
    }

    public void setAvgGender(Double avgGender) {
        this.avgGender = avgGender;
    }

    public Integer getFeatureCount() {
        return featureCount;
    }

    public void setFeatureCount(Integer featureCount) {
        this.featureCount = featureCount;
    }

    public Integer getVersideon() {
        return versideon;
    }

    public void setVersideon(Integer versideon) {
        this.versideon = versideon;
    }

    public String getImageId() {
        return imageId;
    }

    public void setImageId(String imageId) {
        this.imageId = imageId;
    }
}
