package com.huimv.face.controller;


import com.huimv.face.entity.StrangerModels;
import com.huimv.face.repo.StrangerModelsRepository;
import com.huimv.face.util.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.*;


@RestController
@RequestMapping("/api")
@CrossOrigin
public class StrangerController {

    @Autowired
    private StrangerModelsRepository strangerModelsRepository;

    //对于陌生人有确认记录  需要直接操作数据库
    @RequestMapping("/ensure")
    public Result getdate(HttpServletRequest request,
                          @RequestParam(name = "id") String id

    ) throws Exception {
        System.out.println("查询" + id);
        StrangerModels strangerModels = strangerModelsRepository.findByIdtest(id);
        strangerModels.setImageId("1");
        strangerModelsRepository.save(strangerModels);
        return new Result(10000, "确认成功", strangerModels);
    }


    //测试传入数组来进行更改 这个
    @RequestMapping("/stranger")
    public Result getdate1(HttpServletRequest request,
                           @RequestParam(name = "cameraid") int id
    ) throws Exception {
        List<List<Object>> findbycameras = strangerModelsRepository.findStrangerpass(id);
        Map<String, Object> map = new HashMap();
        //System.out.println(findbycameras);
        List<Map> result_Map = new ArrayList<>();
        List<String> time = new ArrayList<>();
        List<Integer> total_number = new ArrayList<>(24);
        Map<Integer, Integer> map1 = new HashMap<>();
        for (int i = 0; i < 24; i++) {
            map1.put(i, 0);
        }
        for (int i = 0; i < 24; i++) {
            String format = String.format("%02d", i);
            String time01 = format + ":00";   //06:00
            for (List<Object> findbycameraList : findbycameras) {   //  7-8  9-56  10-36
                String hour = (String) findbycameraList.get(2);
                int strToInt = Integer.parseInt(hour);
                if (i == strToInt) {    //7    //9    /10
                    String ee = String.valueOf(findbycameraList.get(1));
                    int num = Integer.parseInt(ee);
                    map1.put(i, num);
                }
            }
            time.add(time01);
        }
        map.put("time", time);
        for (int i = 0; i < 24; i++) {
            Integer integer = map1.get(i);
            total_number.add(integer);
        }
        map.put("data", total_number);
        result_Map.add(map);
        return new Result(10000, "成功", result_Map);
    }
}













