package com.huimv.face.repo;

import com.huimv.face.entity.License;
import com.huimv.face.entity.StrangerModels;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface StrangerModelsRepository extends JpaRepository<StrangerModels, String>, JpaSpecificationExecutor<StrangerModels> {


   @Query(nativeQuery = true, value = "SELECT  * FROM stranger_models WHERE id =?1")
    StrangerModels  findByIdtest( String id);


    @Query(nativeQuery = true, value = "SELECT  * FROM stranger_detail_models WHERE  camera_id=?1")
    List<List<Object>>  findbycameras (int id);

    @Query(nativeQuery = true, value = "SELECT FROM_UNIXTIME(create_time/1000, '%Y-%m-%d %H:00:00') time_hour,COUNT(*) COUNT,FROM_UNIXTIME(create_time/1000, '%H') time_hour2 ,FROM_UNIXTIME(create_time/1000, '%d') time_hour3 \n" +
            "FROM pass_records WHERE camera_id = ?1  AND FROM_UNIXTIME(create_time/1000) > DATE_FORMAT(CURDATE(),'%Y-%m-%d %H:%i:%s') GROUP BY FROM_UNIXTIME(create_time/1000, '%Y-%m-%d %H:00:00') \n" +
            "ORDER BY FROM_UNIXTIME(create_time/1000, '%Y-%m-%d %H') DESC LIMIT 24")
    List<List<Object>>  findStrangerpass (int id);

   //只查时间在范围内的数据



}